Bug 285231 - Fedora iptables tool enhancement
Fedora iptables tool enhancement
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-10 18:00 EDT by giulix
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-24 11:43:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description giulix 2007-09-10 18:00:23 EDT
Description of problem: 

Please name Fedora iptables tool, used to configure netfilter via iptables
(proper) something other than "iptables", as this is source of great confusion
with the proper iptables tool.

Version-Release number of selected component (if applicable): Any

How reproducible: Always

Steps to Reproduce:
Actual results:

Massive misunderstanding

Expected results:

To each one its own.

Additional info: I am not even sure against which component I opened this RFE. I
am pretty sure it is the wrong one, though :D
Comment 1 Thomas Woerner 2007-09-11 08:30:57 EDT
I am sorry, but I do not understand this. Can you please explain, what you are
talking about?
Comment 2 giulix 2007-09-12 11:24:31 EDT
Sure, I am referring to service /etc/init.d/iptables. That is cause for much
misunderstanding, especially for new users. They mistake this service for the
iptables tool and have difficulty grasping the concept that /etc/init.d/iptables
and iptables are not the same thing and that the former is a Fedora tool to ease
use of the iptables tool which is used to configure netfilter on Linux. So, just
changing /etc/init.d/iptables to, say, /etc/init.d/iptables_config or
/etc/init.d/cfgiptables or something like that would help to differentiate, thus
making things less confusing.
Comment 3 Thomas Woerner 2007-09-24 11:43:05 EDT
The name of the service matches the package name. I am sorry, but in my opinion
this is reasonable and expected.

Closing as "NOT A BUG".

Note You need to log in before you can comment on or make changes to this bug.